Subject: [Emailcore] RESOLVED: Ticket #24: Erratum 4198: Description error in Section 4.2

From: Alexey Melnikov <[email-masked]>
Date: Mon, 14 Dec 2020 11:59:45 +0000

Dear WG,

This is just to confirm resolution to the erratum 4198:

------------

OLD:
   Whenever possible, a receiver-SMTP SHOULD test the first digit
   (severity indication) of the reply code.

NEW:
   Whenever possible, a sender-SMTP SHOULD test the first digit
   (severity indication) of a reply code it receives.

Note:

The "sender" is the entity that issues commands and receives response 
codes (from the "receiver").

------------

I think this is a straightforward error that was fixed in the current 
rfc5321bis draft. Unless there are objections, this ticket will be 
marked as closed on December 28th.

Note that there is a separate ticket about 1st digit of reply codes, 
which will be discussed separately.

Best Regards,

Alexey

---

From: Alessandro Vesely <[email-masked]>
Date: Tue, 15 Dec 2020 11:24:30 +0100

On Mon 14/Dec/2020 12:59:45 +0100 Alexey Melnikov wrote:
> The "sender" is the entity that issues commands and receives response codes 
> (from the "receiver").
> 
> ------------
> 
> rfc5321bis draft. Unless there are objections, this ticket will be marked as 
> closed on December 28th.

+1 for closing the ticket.

Best
Ale
--

---

From: John C Klensin <[email-masked]>
Date: Wed, 16 Dec 2020 20:38:30 -0500

Alexey and WG,

Thanks for closing this.  The corrected text is, as you noted,
already present in draft-ietf-emailcore-rfc5321bis-00 as you
noted.  I have marked it "resolved" in Appendix H.1.  However,
that text also carries a note from 2014 that reads:

	"[[Note in Draft:  What is that sentence supposed to be
	tell us? Test the first digit and examine the others
	only if necessary? Note the interaction between this and
	various flaps about adding new codes.]]"

Is that what you refer to as "about 1st digit of reply codes"?
Would it help with that one if we simply added, after
"receives.", something like:

	"It should use information in the other digits of the
	code and any supplemental codes or information (see RFC
	3463) only if it recognizes them and to provide
	additional information as needed but should rely on that
	first digit if the additional information is not
	recognized."

I think better phrasing is possible, but I assume that is what
we are trying to get at.  If there is agreement on that (plus or
minus wordsmithing), it should be possible to close the other
ticket as well.   

   john

--On Monday, December 14, 2020 11:59 +0000 Alexey Melnikov
<[email-masked]> wrote:

> The "sender" is the entity that issues commands and receives
> response codes (from the "receiver").
> 
> ------------
> 
> I think this is a straightforward error that was fixed in the
> current rfc5321bis draft. Unless there are objections, this
> ticket will be marked as closed on December 28th.
> 
> Note that there is a separate ticket about 1st digit of reply
> codes, which will be discussed separately.
> 
> Best Regards,
> 
> Alexey

---

From: "John Levine" <[email-masked]>
Date: 16 Dec 2020 22:41:50 -0500

>	first digit if the additional information is not

That seems utterly obvious, which I suppose means we should be sure to
include it.

R's,
John

---

From: John C Klensin <[email-masked]>
Date: Wed, 16 Dec 2020 23:46:29 -0500

--On Wednesday, December 16, 2020 22:41 -0500 John Levine
<[email-masked]> wrote:

> That seems utterly obvious, which I suppose means we should be
> sure to include it.

The discussion did come up on the mailing list and it is
possible --although I admit it is a stretch-- to read "Whenever
possible, a sender-SMTP SHOULD test the first digit (severity
indication) of a reply code it receives" as meaning "sometimes
it should not test even that" or leaving questions about what to
do with the test open.

I have not yet made the change to the working draft; waiting to
hear from the WG.

    john

---

From: Alessandro Vesely <[email-masked]>
Date: Thu, 17 Dec 2020 14:54:30 +0100

On Thu 17/Dec/2020 05:46:29 +0100 John C Klensin wrote:
> --On Wednesday, December 16, 2020 22:41 -0500 John Levine wrote:

Yeah, especially when comparing that SHOULD with the fact that the first digit 
MUST be checked if the response code is not recognized.  As if it were more 
difficult to check the first digit than the whole response code.  Perhaps, 
reading is easier if "Whenever possible" is replaced by something like "If the 
sender-SMTP does not know how to deal with a specific response code".

Actually, only some response codes are better understood in their entirety, 
e.g. 421.  The rest are for logging and offline pondering.

Best
Ale
--

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 17 Dec 2020 18:43:19 +0000

> Is that what you refer to as "about 1st digit of reply codes"?

Yes, this is the ticket #13: 
<https://trac.ietf.org/trac/emailcore/ticket/13>: "G.7.7. Does the 
'first digit only' and/or non-listed reply code text need clarification?"

> 	3463)
Maybe also reference RFC 5248 which establishes the IANA registry?
>   only if it recognizes them and to provide

Yes, something along the lines of what you suggested above.

Best Regards,

Alexey